#
# spec file for package trn_spl (Version 3.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -trn less vim yacc
# usedforbuild    -trn aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim yacc

Name:         trn_spl
Copyright:    1991-92 Stan Barber
Group:        Applications/News
Provides:     trn-spl 
Conflicts:    trn
Autoreqprov:  on
Version:      3.6
Release:      415
Summary:      Threaded News Reader (conf. for spool directory)
Source: trn-3.6.tar.gz
Patch: trn-3.6.dif

%description
Compiled for reading news from the local spool-directory which resides under
/var/spool/news. If you would like another configuration you have to
recompile trn. This shouldn't be a problem as trn is effortlessly
compilable under Linux.

Authors:
--------
    Wayne Davison <davison@borland.com>
    Larry Wall <lwall@jpl-devvax.jpl.nasa.gov>
    Stan Barber <sob@bcm.tmc.edu>

SuSE series: n

%prep
%setup -n trn-3.6
%patch

%build
install -d /usr/lib/trn
install -d /var/spool/news
. RunConfig %{_arch}-spl
make

%install
make install

%files
%dir /usr/lib/trn
/usr/bin/Pnews
/usr/bin/Rnmail
/usr/bin/newsetup
/usr/bin/newsgroups
/usr/bin/trn
/usr/bin/trn-artchk
%config /usr/lib/trn/INIT
/usr/lib/trn/Pnews.header
/usr/lib/trn/Speller
/usr/lib/trn/filexp
/usr/lib/trn/makedir
/usr/lib/trn/mbox.saver
/usr/lib/trn/newsnews
/usr/lib/trn/norm.saver
%doc /usr/share/man/man1/Pnews.1.gz
%doc /usr/share/man/man1/Rnmail.1.gz
%doc /usr/share/man/man1/newsetup.1.gz
%doc /usr/share/man/man1/newsgroups.1.gz
%doc /usr/share/man/man1/trn.1.gz

%changelog -n trn
* Mon Dec 04 2000 - schwab@suse.de
- Update configure wrapper for new ABI on ia64.
* Tue Jun 27 2000 - schwab@suse.de
- Fix configure wrapper for ia64.
* Wed Mar 01 2000 - kukuk@suse.de
- Remove requires nntp_daemon
* Fri Jan 14 2000 - kukuk@suse.de
- Use x86 for SPARC, too
- Move manual pages from /usr/man to /usr/share/man
* Tue Sep 21 1999 - uli@suse.de
- extended RunConfig for PPC
* Mon Sep 20 1999 - ro@suse.de
- added requires nntp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- secfix for newsgroups.SH
* Mon Jun 14 1999 - ro@suse.de
- fixed configure-wrapper to work for axp and x86
* Fri Nov 20 1998 - ro@suse.de
- fixed configure-wrapper for glibc
* Tue Oct 28 1997 - @suse.de
- ready for autobuild using Script RunConfig
* Thu Jan 02 1997 - florian@suse.de
- Aenderung vom Configure-Script, so dass man auch mit einem
  aktuellen Elf-System kompilieren kann.
- Verwendet jetzt auch die aktuelle ncurses shared libs.
%changelog -n trn_spl
* Tue Jun 27 2000 - schwab@suse.de
- Fix configure wrapper for ia64.
* Wed Mar 01 2000 - kukuk@suse.de
- Remove requires nntp_daemon
* Fri Jan 14 2000 - kukuk@suse.de
- Use x86 config for SPARC, too
- move /usr/man to /usr/share/man
* Tue Sep 21 1999 - uli@suse.de
- extenden RunConfig for PPC
* Mon Sep 20 1999 - ro@suse.de
- added requires nntp_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- secfix for newsgroups.SH
* Mon Jun 14 1999 - ro@suse.de
- fixed configure-wrapper to work for axp and x86
* Fri Nov 20 1998 - ro@suse.de
- fixed configure-wrapper for glibc
* Thu Jan 02 1997 - florian@suse.de
- compiled with newest ncurses library
